> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/app-store/struct-apps/shopifyconnector/requirements.md).

# Requirements

### Store requirements

| Field                                                                                                                                                   |
| ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Name](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/stores/store-details.md#name)                                         |
| [Shopify hostname](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/stores/store-details.md#shopify-hostname)                 |
| [Private APP API password](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/stores/store-details.md#private-app-api-password) |
| [API version](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/stores/store-details.md#api-version)                           |

### Product model requirements

{% hint style="info" %}
These fields are automatically populated by the ShopifyConnector.
{% endhint %}

| Field                                                                                                                                                | Data type   |
| ---------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| [Product status](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#product-status)       | Global list |
| [Theme template](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#theme-template)       | Global list |
| [Published scope](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#published-scope)     | Global list |
| [Country of origin](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#country-of-origin) | Global list |

### Variant group model requirements

{% hint style="info" %}
These fields are automatically populated by the ShopifyConnector.
{% endhint %}

| Field                                                                                                                                            | Data type   |
| ------------------------------------------------------------------------------------------------------------------------------------------------ | ----------- |
| [Status](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#status)                   | Global list |
| [Published scope](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#published-scope) | Global list |

### Variant model requirements

| Field                                                                                                                                                | Data type |
| ---------------------------------------------------------------------------------------------------------------------------------------------------- | --------- |
| [Weight unit](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#weight-unit)             | Text      |
| [Requires shipping](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#requires-shipping) | Boolean   |
| [Inventory policy](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#inventory-policy)   | Text      |
| [Taxable](/reference/app-store/struct-apps/shopifyconnector/shopifyconnector-details/data-models/data-models-details.md#taxable)                     | Boolean   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/reference/app-store/struct-apps/shopifyconnector/requirements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
